
    <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
      <!-- Search for small screen-->
      <div class="container">
        <div class="row">
          <div class="col s12 m6 l6">
            <h5 class="breadcrumbs-title mt-0 mb-0"><span>Rendez-vous</span></h5>
          </div>
          <div class="col s12 m6 l6 right-align-md">
            <ol class="breadcrumbs mb-0">
              <li class="breadcrumb-item"><a [routerLink]="['/DashbordVoiture']">Acceuil</a>
              </li>
              <li class="breadcrumb-item">Configurations
              </li>
              <li class="breadcrumb-item active">Rendez-vous
              </li>
            </ol>
          </div>
        </div>
      </div>
    </div>
   
        <div class="section section-data-tables">


<!-- Page Length Options -->






<div id="app-calendar">
<div class="row">
<div class="col s12">
  <div class="card">
   
    <div class="card-content">
      <a class=" modal-trigger" href="#modal1">
        <button class="btn cyan waves-effect waves-light" type="submit" name="action">Ajouter
           <i class="material-icons right">add</i>
         </button>
         </a>
      <h4 class="card-title">
      </h4>
    
      <div id="basic-calendar"></div>
    </div>
  </div>
</div>

</div>
</div>
  
<div class="row">
  <div class="col s12">
    <div class="card">
      <div class="card-content">
       <a class=" modal-trigger" href="#modal1">
       <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
          <i class="material-icons right">add</i>
        </button>
        </a>
  
        <h4 class="card-title">Liste des Rendez-vous</h4>
      
        <br/>
        <div class="row">
          <div class="col s12">
            <table id="page-length-option" class="display">
              <thead>
                <tr>
                  <th>Immatricule</th>
                  <th>garage</th>
                  <th>Date de debut </th>
                  <th>Heure</th>
                  <th>Date de fin </th>
                  <th>Heure</th>
                  <th>titre</th>
                  <th>Action</th>
              
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let r of rendezvousmaintenances; index as i;">
                  
  
                  <td>{{r.voitureImmatricule}}</td>
                  <td>
                    <div *ngFor="let g of garages">
                      <div *ngIf="r.GarageId === g.id">
                        {{g.nom}}  
                      </div>
                    </div>
                  </td>
                  <td>{{r.datedebut}}</td>
                  <td>{{r.Heuredebut}} : {{r.minutedebut}}</td>
                  <td>{{r.dateretour}}</td>
                  <td>{{r.heureretour}} : {{r.minuteretour}}</td>
  
                  <td>{{r.description}}</td>
                  <td>
                    <a class='dropdown-trigger' href='#' [attr.data-target]="'dropdown' + i">
                      <i class="material-icons">arrow_drop_down</i>
                    </a>
                    <ul id='dropdown{{i}}' class='dropdown-content' >
                    <li><a  class="modal-trigger" (click)="getOne(r.id)" href="#modal2">Modifier</a></li>
                    <li><a class="modal-trigger" (click)="delete(r.id)">Supprimper</a></li>
                 
                    </ul>
                  
  
                  </td>
                
                
                
              </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
  </div>

</div><!-- START RIGHT SIDEBAR NAV -->

<div id="modal1" class="modal" style="width: 40%;">
  <form  #f="ngForm" (ngSubmit)="save(f.value)">
 <div class="modal-content" >
  <h5 style="margin-left: 20px;">Ajouter Rendez-vous</h5>
  
  <div class="row">
   <div class="input-field col m6 s12">
     <select  searchable='List of options' id="xxxx" name="voitureImmatricule" #name="ngModel" [(ngModel)]="rendezvousmaintenance.voitureImmatricule" required>
       <option *ngFor="let v of voitures" [value]="v.immatricule">
         {{v.immatricule}}
        </option>
   </select>
   </div>
   <div class="input-field col m6 s12">
         <label for="nbrporte" class="active">Garage </label>
         <select  searchable='Liste de garage' id="xxxx" name="carage" #carage="ngModel" [(ngModel)]="rendezvousmaintenance.carage" required>
          <option *ngFor="let g of garages" [value]="g.id">
            {{g.nom}}
           </option>
      </select>
 
   </div>
 </div>
 
 <div class="row">
   <div class="input-field col m6 s6">
       <input type="date" class="validate" name="datedebut" #datedebut="ngModel" [(ngModel)]="rendezvousmaintenance.datedebut" required>
       <small  class="errorTxt1" *ngIf="datedebut.touched  &&  datedebut.invalid" ><div id="uname-error" class="error">saisir votre date de debut</div></small>
 
       <label for="nbrporte">Date </label>
   </div>
   <div class="input-field col m3 s12">
     <select class="browser-default" name="Heuredebut" #name="ngModel" [(ngModel)]="rendezvousmaintenance.Heuredebut" required>
       <option value="" disabled selected>Heures</option>
        <option value="01">01</option>
        <option value="02">02</option>
        <option value="03">03</option>
        <option value="04">04</option>
        <option value="05">05</option>
        <option value="06">06</option>
        <option value="07">07</option>
        <option value="08">08</option>
        <option value="09">09</option>
        <option value="10">10</option>
        <option value="11">11</option>
        <option value="12">12</option>
        <option value="13">13</option>
        <option value="14">14</option>
        <option value="15">15</option>
        <option value="16">16</option>
        <option value="17"> 17</option>
        <option value="18">18</option>
        <option value="19">19</option>
        <option value="20">20</option>
        <option value="21">21</option>
        <option value="22">22</option>
        <option value="23">23</option>
     </select>
 </div>
 <div class="input-field col m3 s12">
   <select class="browser-default" name="minutedebut" #name="ngModel" [(ngModel)]="rendezvousmaintenance.minutedebut" required>
     <option value="" disabled selected>Minutes</option>
     <option value="00">00</option>
     <option value="10">10</option>
     <option value="20">20</option>
     <option value="30">30</option>
     <option value="40">40</option>
     <option value="50">50</option>
   </select>
 </div>
   
   
 </div>
 
 
 <div class="row">
   <div class="input-field col m6 s6">
       <input type="date" name="dateretour" class="validate" #dateretour="ngModel" [(ngModel)]="rendezvousmaintenance.dateretour" required>
       <small  class="errorTxt1" *ngIf="dateretour.touched  &&  dateretour.invalid" ><div id="uname-error" class="error">saisir votre date de retour</div></small>
 
       <label for="nbrporte">Date </label>
   </div>
   <div class="input-field col m3 s12">
     <select class="browser-default" name="Heureretour" #name="ngModel" [(ngModel)]="rendezvousmaintenance.heureretour" required>
       <option value="" disabled selected>Heures</option>
        <option value="01">01</option>
        <option value="02">02</option>
        <option value="03">03</option>
        <option value="04">04</option>
        <option value="05">05</option>
        <option value="06">06</option>
        <option value="07">07</option>
        <option value="08">08</option>
        <option value="09">09</option>
        <option value="10">10</option>
        <option value="11">11</option>
        <option value="12">12</option>
        <option value="13">13</option>
        <option value="14">14</option>
        <option value="15">15</option>
        <option value="16">16</option>
        <option value="17"> 17</option>
        <option value="18">18</option>
        <option value="19">19</option>
        <option value="20">20</option>
        <option value="21">21</option>
        <option value="22">22</option>
        <option value="23">23</option>
     </select>
 </div>
 <div class="input-field col m3 s12">
   <select class="browser-default" name="minuteretour" #name="ngModel" [(ngModel)]="rendezvousmaintenance.minuteretour" required>
     <option value="" disabled selected>Minutes</option>
     <option value="00">00</option>
     <option value="10">10</option>
     <option value="20">20</option>
     <option value="30">30</option>
     <option value="40">40</option>
     <option value="50">50</option>
   </select>
 </div>
   
   
 </div>
 <div class="row">
   <div class="input-field col m12 s12">
     <input type="text" class="validate" name="description" #description="ngModel" [(ngModel)]="rendezvousmaintenance.description" required>
     <small  class="errorTxt1" *ngIf="description.touched  &&  description.invalid" ><div id="uname-error" class="error">saisir votre description</div></small>
 
     <label for="nbrporte">Titre </label>
 </div>
 </div>
 
 
 
 
 
 </div>
 <div class="modal-footer">
   <button [disabled]="f.invalid"  class="btn cyan waves-effect waves-light right" type="submit" name="action" style="margin-right: 25px;">Ajouter
      <i class="material-icons right">send</i>
    </button>
 </div>
 </form>
 </div>
 
 
 
 
 <div id="modal2" class="modal" style="width: 40%;">
   <form  #fu="ngForm" (ngSubmit)="update(fu.value)">
  <div class="modal-content" >
   <h5 style="margin-left: 20px;">Ajouter Rendez-vous</h5>
   
   <div class="row">
    <div class="input-field col m12 s12">
     <input id="name2" type="text" name="voitureImmatricule" #name="ngModel" [(ngModel)]="rendezvousmaintenance.voitureImmatricule" disabled>
 
    </div>
    
  </div>
  
  <div class="row">
    <div class="input-field col m6 s6">
        <input type="date" name="datedebut" #datedebut="ngModel" [(ngModel)]="rendezvousmaintenance.datedebut">
  
        <label for="nbrporte">Date </label>
    </div>
    <div class="input-field col m3 s12">
      <select class="browser-default" name="Heuredebut" #name="ngModel" [(ngModel)]="rendezvousmaintenance.Heuredebut" required>
        <option value="" disabled selected>Heures</option>
         <option value="01">01</option>
         <option value="02">02</option>
         <option value="03">03</option>
         <option value="04">04</option>
         <option value="05">05</option>
         <option value="06">06</option>
         <option value="07">07</option>
         <option value="08">08</option>
         <option value="09">09</option>
         <option value="10">10</option>
         <option value="11">11</option>
         <option value="12">12</option>
         <option value="13">13</option>
         <option value="14">14</option>
         <option value="15">15</option>
         <option value="16">16</option>
         <option value="17"> 17</option>
         <option value="18">18</option>
         <option value="19">19</option>
         <option value="20">20</option>
         <option value="21">21</option>
         <option value="22">22</option>
         <option value="23">23</option>
      </select>
  </div>
  <div class="input-field col m3 s12">
    <select class="browser-default" name="minutedebut" #name="ngModel" [(ngModel)]="rendezvousmaintenance.minutedebut" required>
      <option value="" disabled selected>Minutes</option>
      <option value="00">00</option>
      <option value="10">10</option>
      <option value="20">20</option>
      <option value="30">30</option>
      <option value="40">40</option>
      <option value="50">50</option>
    </select>
  </div>
    
    
  </div>
  
  
  <div class="row">
    <div class="input-field col m6 s6">
        <input type="date" name="dateretour" #dateretour="ngModel" [(ngModel)]="rendezvousmaintenance.dateretour">
  
        <label for="nbrporte">Date </label>
    </div>
    <div class="input-field col m3 s12">
      <select class="browser-default" name="Heureretour" #name="ngModel" [(ngModel)]="rendezvousmaintenance.heureretour" required>
        <option value="" disabled selected>Heures</option>
         <option value="01">01</option>
         <option value="02">02</option>
         <option value="03">03</option>
         <option value="04">04</option>
         <option value="05">05</option>
         <option value="06">06</option>
         <option value="07">07</option>
         <option value="08">08</option>
         <option value="09">09</option>
         <option value="10">10</option>
         <option value="11">11</option>
         <option value="12">12</option>
         <option value="13">13</option>
         <option value="14">14</option>
         <option value="15">15</option>
         <option value="16">16</option>
         <option value="17"> 17</option>
         <option value="18">18</option>
         <option value="19">19</option>
         <option value="20">20</option>
         <option value="21">21</option>
         <option value="22">22</option>
         <option value="23">23</option>
      </select>
  </div>
  <div class="input-field col m3 s12">
    <select class="browser-default" name="minuteretour" #name="ngModel" [(ngModel)]="rendezvousmaintenance.minuteretour" required>
      <option value="" disabled selected>Minutes</option>
      <option value="00">00</option>
      <option value="10">10</option>
      <option value="20">20</option>
      <option value="30">30</option>
      <option value="40">40</option>
      <option value="50">50</option>
    </select>
  </div>
    
    
  </div>
  <div class="row">
    <div class="input-field col m12 s12">
      <input type="text" name="description" #description="ngModel" [(ngModel)]="rendezvousmaintenance.description">
  
      <label for="nbrporte">Description </label>
  </div>
  </div>
  
  
  
  
  
  </div>
  <div class="modal-footer">
    <button class="btn cyan waves-effect waves-light right" type="submit" name="action" style="margin-right: 25px;">Ajouter
       <i class="material-icons right">send</i>
     </button>
  </div>
  </form>
  </div>